{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "ldz:mystic_beam",
			"basic_render_parameters": {
				"material": "particles_blend",
				"texture": "textures/particle/mystic_beam"
			}
		},
		"components": {
			"minecraft:emitter_rate_instant": {
				"num_particles": 1
			},
			"minecraft:emitter_lifetime_once": {
				"active_time": 1
			},
			"minecraft:emitter_shape_point": {
				"direction": [0, 0, -1]
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": 2
			},
			"minecraft:particle_initial_spin": {
				"rotation": 90
			},
			"minecraft:particle_initial_speed": 0.5,
			"minecraft:particle_motion_dynamic": {
				"linear_drag_coefficient": 25
			},
			"minecraft:particle_appearance_billboard": {
				"size": [0.3, 0.1562],
				"facing_camera_mode": "lookat_direction",
				"uv": {
					"texture_width": 32,
					"texture_height": 2880,
					"flipbook": {
						"base_UV": [0, 0],
						"size_UV": [32, 32],
						"step_UV": [0, 32],
						"frames_per_second": 8,
						"max_frame": 90,
						"stretch_to_lifetime": true
					}
				}
			},
			"minecraft:particle_appearance_tinting": {
				"color": {
					"interpolant": "v.particle_age / v.particle_lifetime",
					"gradient": {
						"0.0": "#ffffffff",
						"1.0": "#00FFFFFF"
					}
				}
			}
		}
	}
}